package controller

import (
	"narasi-ahli-be/app/module/user_roles/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	UserRoles UserRolesController
}

func NewController(UserRolesService service.UserRolesService, log zerolog.Logger) *Controller {
	return &Controller{
		UserRoles: NewUserRolesController(UserRolesService, log),
	}
}
